--[[
	MrtWoo_AntiSpam: Detects and blocks russian commercial spam and flud
	Copyright (C) 2010 Pavel Dudkovsky (mrtime@era.by)
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
]]

MrtWoo_AntiSpamMessage = {};

function MrtWoo_AntiSpamMessage:new(o)
	o = o or {};
	setmetatable(o, self);
	self.__index = self;
	
	o.id = 0;
	o.rate = 0;
	o.data = '';
	o.status = 0;
	o.time = 0;
	
	o.is_reported = false;
	
	return o;
end;

function MrtWoo_AntiSpamMessage:SetId(value)
	self.id = value;
end;

function MrtWoo_AntiSpamMessage:SetValue(value)
	self.data = value;
end;

function MrtWoo_AntiSpamMessage:SetRate(value)
	self.rate = value;
end;

function MrtWoo_AntiSpamMessage:SetTime(value)
	self.time = value;
end;

function MrtWoo_AntiSpamMessage:SetStatus(value)
	self.time = value;
end;

function MrtWoo_AntiSpamMessage:GetId()
	return self.id;
end;

function MrtWoo_AntiSpamMessage:GetValue()
	return self.data;
end;

function MrtWoo_AntiSpamMessage:GetRate()
	return self.rate;
end;

function MrtWoo_AntiSpamMessage:GetTime()
	return self.time;
end;

function MrtWoo_AntiSpamMessage:GetStatus()
	return self.status;
end;

function MrtWoo_AntiSpamMessage:Report()
	if not self.is_reported and CanComplainChat(self.id) then
		ComplainChat(self.id);
		self.is_reported = true;
	end;
end;

function MrtWoo_AntiSpamMessage:IsReported()
	return self.is_reported;
end;
